Package com.smartgwt.client.util.workflow

# Class ShowHideTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.ShowHideTask

All Implemented Interfaces:
  `HasHandlers`

public class ShowHideTask extends ComponentTask
Show or hide a component. When showing, reveals any hidden parents as well.

See Also:
  - `Canvas.show()`
  - `Canvas.hide()`
  - `FormItem.show()`
  - `FormItem.hide()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowHideTask()`
  `ShowHideTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getHide()`
  Should the target form item be hidden?
  `Boolean`
  `getMoveFocusToTarget()`
  Should focus be moved to target component when showing?
  `static ShowHideTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getScrollIntoView()`
  Set to `false` to prevent scrolling the component into view when showing.
  `Boolean`
  `getShowRecursively()`
  Set to `false` to not show a component's parents.
  `String`
  `getTargetFieldName()`
  If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
  `String`
  `getTargetSectionName()`
  If `componentId` targets a SectionStack, this property specifies the name of the target section.
  `String`
  `getTargetSectionTitle()`
  If `componentId` targets a SectionStack, this property specifies the title of the target section.
  `String`
  `getTargetTabName()`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
  `ShowHideTask`
  `setHide(Boolean hide)`
  Should the target form item be hidden?
  `ShowHideTask`
  `setMoveFocusToTarget(Boolean moveFocusToTarget)`
  Should focus be moved to target component when showing?
  `ShowHideTask`
  `setScrollIntoView(Boolean scrollIntoView)`
  Set to `false` to prevent scrolling the component into view when showing.
  `ShowHideTask`
  `setShowRecursively(Boolean showRecursively)`
  Set to `false` to not show a component's parents.
  `ShowHideTask`
  `setTargetFieldName(String targetFieldName)`
  If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
  `ShowHideTask`
  `setTargetSectionName(String targetSectionName)`
  If `componentId` targets a SectionStack, this property specifies the name of the target section.
  `ShowHideTask`
  `setTargetSectionTitle(String targetSectionTitle)`
  If `componentId` targets a SectionStack, this property specifies the title of the target section.
  `ShowHideTask`
  `setTargetTabName(String targetTabName)`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowHideTask

    public ShowHideTask()

  - ### ShowHideTask

    public ShowHideTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ShowHideTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setHide

    public ShowHideTask setHide(Boolean hide) throws IllegalStateException
    Should the target form item be hidden?
    Parameters:
      `hide` - New hide value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getHide

    public Boolean getHide()
    Should the target form item be hidden?
    Returns:
      Current hide value. Default value is null

  - ### setMoveFocusToTarget

    public ShowHideTask setMoveFocusToTarget(Boolean moveFocusToTarget) throws IllegalStateException
    Should focus be moved to target component when showing?
    Parameters:
      `moveFocusToTarget` - New moveFocusToTarget value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getMoveFocusToTarget

    public Boolean getMoveFocusToTarget()
    Should focus be moved to target component when showing?
    Returns:
      Current moveFocusToTarget value. Default value is null

  - ### setScrollIntoView

    public ShowHideTask setScrollIntoView(Boolean scrollIntoView) throws IllegalStateException
    Set to `false` to prevent scrolling the component into view when showing.
    Parameters:
      `scrollIntoView` - New scrollIntoView value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getScrollIntoView

    public Boolean getScrollIntoView()
    Set to `false` to prevent scrolling the component into view when showing.
    Returns:
      Current scrollIntoView value. Default value is null

  - ### setShowRecursively

    public ShowHideTask setShowRecursively(Boolean showRecursively) throws IllegalStateException
    Set to `false` to not show a component's parents.
    Parameters:
      `showRecursively` - New showRecursively value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getShowRecursively

    public Boolean getShowRecursively()
    Set to `false` to not show a component's parents.
    Returns:
      Current showRecursively value. Default value is null

  - ### setTargetFieldName

    public ShowHideTask setTargetFieldName(String targetFieldName) throws IllegalStateException
    If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
    Parameters:
      `targetFieldName` - New targetFieldName value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `FieldName`

  - ### getTargetFieldName

    public String getTargetFieldName()
    If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
    Returns:
      Current targetFieldName value. Default value is null
    See Also:
      - `FieldName`

  - ### setTargetSectionName

    public ShowHideTask setTargetSectionName(String targetSectionName) throws IllegalStateException
    If `componentId` targets a SectionStack, this property specifies the name of the target section. Alternately, the target section can be specified by using `targetSectionTitle`.
    Parameters:
      `targetSectionName` - New targetSectionName value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTargetSectionName

    public String getTargetSectionName()
    If `componentId` targets a SectionStack, this property specifies the name of the target section. Alternately, the target section can be specified by using `targetSectionTitle`.
    Returns:
      Current targetSectionName value. Default value is null

  - ### setTargetSectionTitle

    public ShowHideTask setTargetSectionTitle(String targetSectionTitle) throws IllegalStateException
    If `componentId` targets a SectionStack, this property specifies the title of the target section. Alternately, the target section can be specified by using `targetSectionName`.
    Parameters:
      `targetSectionTitle` - New targetSectionTitle value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTargetSectionTitle

    public String getTargetSectionTitle()
    If `componentId` targets a SectionStack, this property specifies the title of the target section. Alternately, the target section can be specified by using `targetSectionName`.
    Returns:
      Current targetSectionTitle value. Default value is null

  - ### setTargetTabName

    public ShowHideTask setTargetTabName(String targetTabName) throws IllegalStateException
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Parameters:
      `targetTabName` - New targetTabName value. Default value is null
    Returns:
      `ShowHideTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `TabName`

  - ### getTargetTabName

    public String getTargetTabName()
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Returns:
      Current targetTabName value. Default value is null
    See Also:
      - `TabName`